/* -*- C++ -*-
 * Teng -- a general purpose templating engine.
 * Copyright (C) 2004  Seznam.cz, a.s.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Seznam.cz, a.s.
 * Naskove 1, Praha 5, 15000, Czech Republic
 * http://www.seznam.cz, mailto:teng@firma.seznam.cz
 *
 *
 * $Id: tengconfig.h.in,v 1.1 2007/05/21 15:43:28 vasek Exp $
 *
 * DESCRIPTION
 * Teng engine.
 *
 * AUTHORS
 * Vaclav Blazek <blazek@firma.seznam.cz>
 *
 * HISTORY
 * 2007-05-21  (vasek)
 *             Created.
 */


#ifndef TENGVERSION_H
#define TENGVERSION_H

#include <stdint.h>

namespace Teng {

/** Teng library major version (libtool's CURRENT version component).
 */
#define TENG_MAJOR 3

/** Teng library minor version (libtool's REVISION version component).
 */
#define TENG_MINOR 0

/** Teng library version.
 */
#define TENG_VERSION "3.0"

/** Integral type used inside teng
 */
typedef intmax_t IntType_t;

} // namespace Teng

#endif // TENGVERSION_H
